[android]安装 Gradle 插件 v3.0

发布时间: 2016/9/26 6:00:21
注意事项: 本文中文内容可能为机器翻译,如要查看英文原文请点击上面连接.

真不明白为什么它总是被这么多的问题,添加 Gradle 插件中的 Android 应用程序。

我开始我的项目创建一个新的应用程序。 这是在我的 gradle.properties:

distributionUrl = https \: //services.gradle.org/distributions/gradle-3.0-all.zip

和这个项目,说 build.gradle:

buildscript {
     repositories {
         jcenter ()
     }
     dependencies {
         classpath 'com.android.tools.build:gradle:3.0'

     }
}

和我得到的错误是enter image description here

解决方法 1:

build工具 Android 目前不支持 3.0 版本。

如果你检查 gradle build 工具项目在Bintray,你可以看到最新的可用版本。

目前,这是 2.2.0-rc1 所以要使用它你应该添加这到你项目级 build.gradle:

compile 'com.android.tools.build:gradle:2.2.0-rc1'

如果你想使用最新的稳定版本 2.1.3 替换它,

compile 'com.android.tools.build:gradle:2.1.3'

你也应该签出tools.android.com的最新的最新信息对 Android Build 工具

官方微信
官方QQ群
31647020